# Search Filters Pagination: Base Jobs API

## Overview

General information about the pagination is listed in [Results Pagination](/api-introduction/requests/elasticsearch-dsl/results-pagination.md) topic.

Pagination is essential when working with Base Jobs API – the dataset spans global job markets with records going back to August 2020, which means result sets for broad queries can be large and frequently changing.

Here you can find:

<table data-card-size="large" data-view="cards"><thead><tr><th></th><th></th></tr></thead><tbody><tr><td><a href="#using-pagination-in-curl-requests">Pagination using cURL requests</a></td><td>Examples of pagination usage with cURL requests.</td></tr></tbody></table>

## Using pagination in cURL requests

{% hint style="info" %}
This tutorial requires prior knowledge of how to compile and execute POST requests in Base Jobs API.
{% endhint %}

Use parameter `x-next-page-after` to retrieve a second page of of deduplicated job postings IDs.

1. Navigate to the **Headers** section and click it:

![](https://archbee-image-uploads.s3.amazonaws.com/iNaodsHbfav9t72Jx5JdM/Xh3fndrpyjUGXyoMs7qm2_image.png)

2. Find the following information:\
   – `x-next-page-after`\
   – `x-total-pages`\
   – `x-total-results`
3. Add parameter `?after={x-next-page-after}` to the POST request to see the next results page:

{% code title="Pagination example" %}

```json
curl -X 'POST' \
  'https://api.coresignal.com/cdapi/v2/job_base/search/filter?after="2025-03-19 13:39:50",340784135' \
  -H 'accept: application/json' \
  -H 'apikey: {API Key}' \
  -H 'Content-Type: application/json' \
  -d '{
  "last_updated_gte": "2022-05-26 00:00:01",
  "employment_type": "full-time", 
  "company_domain": "example-company.com"
}'
```

{% endcode %}

4. Execute the request, and you will see the next page in the **Body** section:

```json
[
1000,
1001,
3000,
4004
]
```

## Limiting search results per page

Query parameter `?items_per_page={int}` allows you to specify the number of results retrieved per Search results page. The current limit is 1,000. Thus, this parameter lets you set a smaller limit value for the results page.

{% code title="Items per page" %}

```json
curl -X 'POST' \
  'https://api.coresignal.com/cdapi/v2/job_base/search/filter?items_per_page=100' \
  -H 'accept: application/json' \
  -H 'apikey: {API Key}' \
  -H 'Content-Type: application/json' \
  -d '{
  "last_updated_gte": "2022-05-26 00:00:01",
  "employment_type": "full-time", 
  "company_domain": "example-company.com"
}'
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.coresignal.com/jobs-api/base-jobs-api/endpoints/search-filters/pagination.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
